# Uses of Interface
org.apache.sling.distribution.journal.queue.PubQueueProviderFactory

Packages that use PubQueueProviderFactory
Package
Description
org.apache.sling.distribution.journal.impl.publisher

## Uses of PubQueueProviderFactory in org.apache.sling.distribution.journal.impl.publisher

Constructors in org.apache.sling.distribution.journal.impl.publisher with parameters of type PubQueueProviderFactory
Modifier
Constructor
Description
``
`PubQueueProviderPublisher(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, DiscoveryService discoveryService, Topics topics, org.apache.sling.commons.metrics.MetricsService metricsService, PubQueueProviderFactory pubQueueProviderFactory, org.osgi.framework.BundleContext context)`